## prelude-failover prelude-failover |

## Functions

void | prelude_failover_destroy ()
int | prelude_failover_new ()
void | prelude_failover_set_quota ()
int | prelude_failover_save_msg ()
ssize_t | prelude_failover_get_saved_msg ()
unsigned long | prelude_failover_get_deleted_msg_count ()
unsigned long | prelude_failover_get_available_msg_count ()
int | prelude_failover_commit ()
void | prelude_failover_disable_transaction ()
void | prelude_failover_enable_transaction ()
int | prelude_failover_rollback ()

## Types and Values

typedef | prelude_failover_t

## Description

## Functions

### prelude_failover_destroy ()

    void
    prelude_failover_destroy (prelude_failover_t *failover);

### prelude_failover_new ()

    int
    prelude_failover_new (prelude_failover_t **ret,
                          const char *dirname);

### prelude_failover_set_quota ()

    void
    prelude_failover_set_quota (prelude_failover_t *failover,
                                size_t limit);

### prelude_failover_save_msg ()

    int
    prelude_failover_save_msg (prelude_failover_t *failover,
                               prelude_msg_t *msg);

### prelude_failover_get_saved_msg ()

    ssize_t
    prelude_failover_get_saved_msg (prelude_failover_t *failover,
                                    prelude_msg_t **out);

### prelude_failover_get_deleted_msg_count ()

    unsigned long
    prelude_failover_get_deleted_msg_count
                                   (prelude_failover_t *failover);

### prelude_failover_get_available_msg_count ()

    unsigned long
    prelude_failover_get_available_msg_count
                                   (prelude_failover_t *failover);

### prelude_failover_commit ()

    int
    prelude_failover_commit (prelude_failover_t *failover,
                             prelude_msg_t *msg);

### prelude_failover_disable_transaction ()

    void
    prelude_failover_disable_transaction (prelude_failover_t *failover);

### prelude_failover_enable_transaction ()

    void
    prelude_failover_enable_transaction (prelude_failover_t *failover);

### prelude_failover_rollback ()

    int
    prelude_failover_rollback (prelude_failover_t *failover,
                               prelude_msg_t *msg);

## Types and Values

### prelude_failover_t

    typedef struct prelude_failover prelude_failover_t;